<template>
  <v-layout justify-space-between class="rule-chip">
    <p
      class="pa-1 font-weight-normal"
      :class="{'rule-chip__keyword' : isKeyword}"
      :style="{'background-color': bgColor}"
    >
      <span>{{rule}}</span>
    </p>
    <v-tooltip top>
      <v-icon slot="activator">help</v-icon>
      <span>{{tooltipMessage}}</span>
    </v-tooltip>
  </v-layout>
</template>

<script>
export default {
  props: {
    info: {
      type: Object,
      default: () => ({}),
    },
  },
  data() {
    return {
      tooltipMessage:
        'For more information about this error click on "More Details"',
    };
  },
  computed: {
    rule() {
      return this.info.rule === 'KEYWORD' ? 'KEYWORDS' : this.info.rule;
    },
    isKeyword() {
      return this.info.rule === 'KEYWORD';
    },
    bgColor() {
      return this.info.color ? this.info.color : 'transparent';
    },
  },
};
</script>

<style lang="sass">
  .rule-chip
    text-transform: lowercase
    & p
      border-radius: 3px
      font-weight: 600
      &::first-letter
        text-transform: uppercase
    &__keyword
      border-radius: 0px
      height: 20px
      & span
        border-bottom: 1px solid #E91E63
</style>
